Subject: Re: linux-next build poblems

From: Sam Ravnborg <[email-masked]>
Date: Mon, 23 Jun 2008 22:21:56 +0200

> 
> I need to work out something.
> But my first attemps failed miserably and I will stop for now
> as I have some day-time job stuff to be done.
> Travelling for a few days from now one so I cannot do anything
> until the weekend.
I came up with the following fix.
And I fixed an arm tool chain for my box so I could check it.

We can now build an arm kernel (or at least the first steps).

I have pushed it out to kbuild-next.git.
And I will redo the patch series later so we do not bisect break arm etc.

	Sam

diff --git a/Makefile b/Makefile
index 2628295..4761b3b 100644
--- a/Makefile
+++ b/Makefile
@@ -328,7 +328,8 @@ AFLAGS_KERNEL	=
 # Use LINUXINCLUDE when you must reference the include/ directory.
 # Needed to be compatible with the O= option
 LINUXINCLUDE    := -Iinclude \
-                   $(if $(KBUILD_SRC),-Iinclude2 -I$(srctree)/include) \
+                   $(if $(KBUILD_SRC),                                 \
+                        -Iinclude2 -Iinclude3 -I$(srctree)/include)    \
                    -I$(srctree)/arch/$(hdr-arch)/include               \
                    -include include/linux/autoconf.h
 
@@ -913,6 +914,7 @@ PHONY += prepare archprepare prepare0 prepare1 prepare2 prepare3
 # and if so do:
 # 1) Check that make has not been executed in the kernel src $(srctree)
 # 2) Create the include2 directory, used for the second asm symlink
+# 3) Create the include3 directory, used for the third asm symlink
 prepare3: include/config/kernel.release
 ifneq ($(KBUILD_SRC),)
 	@echo '  Using $(srctree) as source for kernel'
@@ -925,6 +927,10 @@ ifneq ($(KBUILD_SRC),)
 	$(Q)if [ -e $(srctree)/include/asm-$(SRCARCH)/system.h ]; then  \
 	    ln -fsn $(srctree)/include/asm-$(SRCARCH) include2/asm;     \
 	    fi
+	$(Q)if [ ! -d include3 ]; then mkdir -p include3; fi;
+	$(Q)if [ -e $(srctree)/include/asm-$(SRCARCH)/system.h ]; then  \
+	    ln -fsn ../include/asm-$(SRCARCH) include3/asm;                \
+	    fi
 endif
 
 # prepare2 creates a makefile if using a separate output directory